Merge pull request #550 from bebehei/misc

Misc patches
Implement smarter markup escaping

Automatically detect and escape invalid and unsupported & entities.

Fixes #546
Implement smarter markup escaping

Automatically detect and escape invalid and unsupported & entities.

Fixes #546
Implement smarter markup escaping

Automatically detect and escape invalid and unsupported & entities.

Fixes #546
Implement smarter markup escaping

Automatically detect and escape invalid and unsupported & entities.

Fixes #546
Implement smarter markup escaping

Automatically detect and escape invalid and unsupported & entities.

Fixes #546
Implement smarter markup escaping

Automatically detect and escape invalid and unsupported & entities.

Fixes #546
Implement smarter markup escaping

Automatically detect and escape invalid and unsupported & entities.

Fixes #546
